<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.DrinkInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.DrinkInfo">
        <id column="id" property="id" />
        <result column="type" property="type" />
        <result column="name" property="name" />
        <result column="price" property="price" />
        <result column="cost_price" property="costPrice" />
        <result column="category" property="category" />
        <result column="alcohol_volume" property="alcoholVolume" />
        <result column="pic_url" property="picUrl" />
        <result column="description" property="description" />
        <result column="flavor" property="flavor" />
        <result column="store_id" property="storeId" />
        <result column="is_recommended" property="isRecommended" />
        <result column="status" property="status" />
        <result column="sort" property="sort" />
        <result column="is_deleted" property="isDeleted" />
        <result column="create_user_id" property="createUserId" />
        <result column="create_time" property="createTime" />
        <result column="update_user_id" property="updateUserId" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, type, name, price, cost_price, category, alcohol_volume, pic_url, description, flavor, store_id, 
        is_recommended, status, sort, is_deleted, create_user_id, create_time, update_user_id, update_time
    </sql>

</mapper>
